Get wallet
OpenAPI contract
- Method
- GET
- Path
/api/v1/billing/wallet- Security
- jwtBearer (bearer)
- Response status
- 200 400 401 403 404 429 500
Request and response schemas
JSON
{
"requestBody": {},
"responses": {
"200": {
"description": "Wallet",
"content": {
"application/json": {
"$ref": "#/components/schemas/WalletView"
}
}
},
"400": {
"description": "Invalid request",
"content": {
"application/json": {
"$ref": "#/components/schemas/RequestError"
}
}
},
"401": {
"description": "Authentication required or invalid",
"content": {
"application/json": {
"$ref": "#/components/schemas/SecurityError"
}
}
},
"403": {
"description": "Authenticated but not permitted",
"content": {
"application/json": {
"$ref": "#/components/schemas/SecurityError"
}
}
},
"404": {
"description": "Wallet was not found",
"content": {
"application/json": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"429": {
"description": "Rate limit exceeded",
"content": {
"application/json": {
"$ref": "#/components/schemas/SecurityError"
}
}
},
"500": {
"description": "Unexpected server error",
"content": {
"application/json": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
}GET /api/v1/billing/wallet is JWT-only. It returns the authenticated user's total NCU balance, separate grant and purchased balances, monthly grant and rollover limits, next grant reset, lifetime purchases, alert threshold, and entitled plan. A wallet is initialized with the free-plan grant when first read.
http
GET /api/v1/billing/wallet
Authorization: Bearer <access token>